Bug 872914 - regression: virt-manager no longer uses ssh for vnc/spice connections
regression: virt-manager no longer uses ssh for vnc/spice connections
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: virt-manager (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Cole Robinson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-11-04 03:12 EST by Dirk Cummings
Modified: 2013-01-14 20:13 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-01-14 20:13:02 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
virt-manager.log (853 bytes, text/x-log)
2012-11-04 03:29 EST, Dirk Cummings
no flags Details

  None (edit)
Description Dirk Cummings 2012-11-04 03:12:40 EST
Description of problem:
I have virt-manager setup to connect to a remote server using qemu+ssh.

In versions 
> virt-manager-common-0.9.1-3.fc17.noarch
> virt-manager-0.9.1-3.fc17.noarch,

virt-manager would connect to the client GUI using the ssh connection, and I wouldn't have to forward port 5900 on the server (which I consider a security risk).

Now in versions
> virt-manager-0.9.4-2.fc17.noarch
> virt-manager-common-0.9.4-2.fc17.noarch

virt-manager always tries to connect to the client GUI using the configured port 5900, bypassing the SSH connection.  Everything else about virt-manager uses the SSH connection and thus I can configure my VM's and see their status etc, but the GUI console always falls back to port 5900.

I confirmed this with wireshark.

How reproducible:
always

Steps to Reproduce:
1. ensure that iptables is not forwarding the gui port (in my case 5900)
2. connect remotely with virt-manager using qemu+ssh
  
Actual results:
Can connect to libvirtd on the server over ssh, but opening the GUI tries to use port 5900

Expected results:
GUI session goes over ssh with everything else

Additional info:
An interesting thing I noticed was that virt-viewer was not affected by this regression.

eg. virt-viewer -c qemu+ssh://me@server:22/system centos6 WORKS
    virt-manager -c qemu+ssh://me@server:22/system centos6 connects fine, but display does not
Comment 1 Dirk Cummings 2012-11-04 03:29:15 EST
Created attachment 637907 [details]
virt-manager.log

Here I show the relevant portion of the user's virt-manager.log between the working version and the current version.
Comment 2 Cole Robinson 2012-12-16 20:24:23 EST
Dirk, please provide the guest XML of an affected VM:

sudo virsh dumpxml <vmname>
Comment 3 Cole Robinson 2013-01-14 20:13:02 EST
Closing as INSUFFICIENT_DATA. Dirk, if you are still affected by this bug, please reopen and provide the info requested in comment #1

Note You need to log in before you can comment on or make changes to this bug.